from fastapi import APIRouter, status
from fastapi.responses import JSONResponse

from app.api.endpoints import notes
from app.core.config import settings

api_router = APIRouter()

# Include all endpoint routers
api_router.include_router(notes.router, prefix=f"{settings.API_V1_STR}/notes", tags=["notes"])


# Health endpoint
@api_router.get("/health", tags=["health"])
async def health_check():
    """
    Health check endpoint to verify that the API is running.
    """
    return JSONResponse(
        status_code=status.HTTP_200_OK,
        content={"status": "healthy"}
    )
